# python + NT-II 2024 
# ze ab 30.01.2024

import serial 
import time 

print('\n.. start')

# init --------------------------------------------------------------------------
co = 16                           # port number
prt = 'COM' + str(co)
ser = serial.Serial(port = prt, baudrate = 57600)  
time.sleep(0.5)                   # init comport

print('Com Port:', co)

# brightness, send 85% ---------------------------------------------------------
a1 = 0             # 100  hundred
a2 = 8             #  10  ten
a3 = 5             #   1  single = 85%

str1 = 'i'+ str(a1) + '\n'
w1 = bytes(str1, 'utf-8')     
ser.write(w1)
time.sleep(0.05)

str2 = 'i'+ str(a2) + '\n'
w2 = bytes(str2, 'utf-8')
ser.write(w2)
time.sleep(0.05)

str3 = 'i'+ str(a3) + '\n'
w3 = bytes(str3, 'utf-8')
ser.write(w3)
time.sleep(0.05)
print ('Send:', w1,w2,w3)


# segments -------------------------------------------------------------
# 11001100 =  204(dez)
# 255 - 204 = 51  
a1 = 0             # 100  hundred
a2 = 5             #  10  ten
a3 = 1             #   1  single   send total -> 51

str1 = 's'+ str(a1) + '\n'
w1 = bytes(str1, 'utf-8')       
ser.write(w1)
time.sleep(0.05)

str2 = 's'+ str(a2) + '\n'
w2 = bytes(str2, 'utf-8')
ser.write(w2)
time.sleep(0.05)

str3 = 's'+ str(a3) + '\n'
w3 = bytes(str3, 'utf-8')
ser.write(w3)
time.sleep(0.05)
print ('Send:', w1,w2,w3)
ser.close()

print ('... done')
time.sleep(5)
